package app

import (
	"coopcloud.tech/abra/pkg/autocomplete"
	"github.com/urfave/cli/v2"
)

var appErrorsCommand = &cli.Command{
	Name:  "errors",
	Usage: "List errors for a deployed app",
	Description: `
This command will list errors for a deployed app. This is a best-effort
implementation and an attempt to gather a number of tips & tricks for finding
errors together into one convenient command. When an app is failing to deploy
or having issues, it could be a lot of things. This command is best accompanied
by "abra app logs <app>".
`,
	Aliases:      []string{"e"},
	Flags:        []cli.Flag{},
	BashComplete: autocomplete.AppNameComplete,
	Action: func(c *cli.Context) error {
		// TODO: entrypoint error
		// TODO: ps --no-trunc errors
		// TODO: failing healthcheck
		return nil
	},
}
